# Generated by go2rpm 1.16.0
%bcond check 1
%bcond bootstrap 0

%if %{with bootstrap}
%global debug_package %{nil}
%endif

%if %{with bootstrap}
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^golang\\(.*\\)$
%endif

# https://github.com/skoved/sway-float
%global goipath         github.com/skoved/sway-float
%global tag             v0.0.1

# REMOVE BEFORE SUBMITTING THIS FOR REVIEW
# ---
# New Fedora packages should use %%gometa -f, which makes the package
# ExclusiveArch to %%golang_arches_future and thus excludes the package from
# %%ix86. If the new package is needed as a dependency for another package,
# please consider removing that package from %%ix86 in the same way, instead of
# building more go packages for i686. If your package is not a leaf package,
# you'll need to coordinate the removal of the package's dependents first.
# ---
# REMOVE BEFORE SUBMITTING THIS FOR REVIEW
%gometa -L -f

%global common_description %{expand:
Simple program that floats (firefox based) browser windows immediately.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           sway-float
Version:        0.0.1
Release:        %autorelease -p
Summary:        Simple program that floats (firefox based) browser windows immediately

License:        GPL-3.0-only
URL:            %{gourl}
Source:         %{gosource}

# service depends on sway-session.target
Requires:      sway-systemd

# manpages are written in asciidoc
BuildRequires: rubygem-asciidoctor
BuildRequires: systemd-rpm-macros

%description %{common_description}

%gopkg

%prep
%goprep -A
%autopatch -p1

%if %{without bootstrap}
%generate_buildrequires
%go_generate_buildrequires
%endif

%if %{without bootstrap}
%build
export LDFLAGS="-X main.version=%{tag}"
%gobuild -o %{gobuilddir}/bin/%{name} %{goipath}
asciidoctor -b manpage man/*.adoc
%endif

%install
%gopkginstall
%if %{without bootstrap}
install -m 0755 -vd                                 %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/*             %{buildroot}%{_bindir}/
install -m 0755 -vd                                 %{buildroot}%{_userunitdir}
install -m 0644 -vp systemd/user/%{name}.service %{buildroot}%{_userunitdir}/
install -m 0755 -vd                                 %{buildroot}%{_mandir}/man1
install -m 0644 -vp man/%{name}.1*               %{buildroot}%{_mandir}/man1/
install -m 0755 -vd                                 %{buildroot}%{_mandir}/man5
install -m 0644 -vp man/%{name}.5*               %{buildroot}%{_mandir}/man5/
%endif

%post
%systemd_user_post %{name}.service

%preun
%systemd_user_preun %{name}.service

%postun
%systemd_user_postun_with_restart %{name}.service

%if %{without bootstrap}
%if %{with check}
%check
%gocheck
%endif
%endif

%if %{without bootstrap}
%files
%license LICENSE
%doc README.md
%{_mandir}/man1/%{name}.1*
%{_mandir}/man5/%{name}.5*
%{_bindir}/%{name}
%{_userunitdir}/%{name}.service
%endif

%gopkgfiles

%changelog
%autochangelog
